<?php
require('../fpdf/fpdf.php');

class PDF extends FPDF
{
// Cabecera de página
function Header()
{
    // Logo
    $this->Image('../img/logo.png',15,8,20);
    // Arial bold 15
    $this->SetFont('Arial','B',10);
    // Movernos a la derecha
    $this->Cell(105);
    // Título
    $this->Cell(50,10,'Reporte Pedidos',0,0,'C');
    // Salto de línea
    $this->Ln(20);

    $this->Cell(12,10, "Id", 1, 0, "C", 0);
    $this->Cell(35,10, "Nombre", 1, 0, "C", 0);
    $this->Cell(35, 10, "Apellido", 1, 0, "C", 0);
    $this->Cell(27, 10, "Fecha", 1, 0, "C", 0);
    $this->Cell(75, 10, "Lugar", 1, 0, "C", 0);
    $this->Cell(20, 10, "Bolsa", 1, 0, "C", 0);
    $this->Cell(25, 10, "Cantidad", 1, 0, "C", 0);
    $this->Cell(30, 10, "Total", 1, 1, "C", 0);
}

// Pie de página
function Footer()
{
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Arial italic 8
    $this->SetFont('Arial','I',8);
    // Número de página
    $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
}
}

require ("conxrep.php");
$pedidos = "SELECT pedido.id_pedido as id, cliente.nombre as nombre, cliente.apellido as apellido, pedido.fecha_entrega as fecha, pedido.lugar_entrega as lugar, pedido.id_tipo_bolsa as bolsa, pedido.cantidad as cantidad, pedido.total as total FROM pedido INNER JOIN cliente WHERE pedido.id_cliente=cliente.id";
$resultado = $mysqli->query($pedidos);


$pdf = new PDF('L','mm',array(216,279));
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial','',10);

while ($row = $resultado->fetch_assoc()){
    $pdf->Cell(12,10, $row["id"], 1, 0, "C", 0);
    $pdf->Cell(35,10, utf8_decode($row["nombre"]), 1, 0, "C", 0);
    $pdf->Cell(35, 10, utf8_decode($row["apellido"]), 1, 0, "C", 0);
    $pdf->Cell(27, 10, utf8_decode($row["fecha"]), 1, 0, "C", 0);
    $pdf->Cell(75, 10, utf8_decode($row["lugar"]), 1, 0, "C", 0);
    $pdf->Cell(20, 10, utf8_decode($row["bolsa"]), 1, 0, "C", 0);
    $pdf->Cell(25, 10, utf8_decode($row["cantidad"]), 1, 0, "C", 0);
    $pdf->Cell(30, 10, utf8_decode($row["total"]), 1, 1, "C", 0);
}
$pdf->Output();
?>